<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        app:layout_constraintGuide_percent="0.36" />

    <View
        android:id="@+id/refresh"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/icon_refresh"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/admin"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginTop="20dp"
        android:layout_marginEnd="20dp"
        android:background="@drawable/ic_admin"
        app:layout_constraintEnd_toStartOf="@+id/refresh"
        app:layout_constraintTop_toTopOf="parent" />
    <View
        android:id="@+id/logout"
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/icon_exit"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/icon_profile"
        android:layout_width="170dp"
        android:layout_height="170dp"
        android:background="@drawable/ic_profile_data"
        app:layout_constraintBottom_toTopOf="@+id/guideline"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <View
        android:id="@+id/line1"
        android:layout_width="320dp"
        android:layout_height="10dp"
        android:background="@drawable/ic_line"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline" />

    <View
        android:id="@+id/username_field"
        android:layout_width="320dp"
        android:layout_height="40dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.494"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/guideline" />

    <TextView
        android:id="@+id/username"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="15sp"
        android:layout_marginStart="10dp"
        android:text="@string/fullNameText"
        app:layout_constraintBottom_toBottomOf="@+id/username_field"
        app:layout_constraintStart_toStartOf="@+id/username_field"
        app:layout_constraintTop_toTopOf="@+id/username_field"
        android:textColor="@color/black"/>

    <View
        android:id="@+id/photo_field"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_marginTop="20dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintStart_toStartOf="@+id/username_field"
        app:layout_constraintTop_toBottomOf="@+id/username_field" />

    <ImageView
        android:id="@+id/photo"
        android:layout_width="80dp"
        android:layout_height="80dp"
        android:layout_gravity="center_horizontal"
        android:contentDescription="@string/contentDescriptionPhoto"
        android:src="@drawable/ic_no_img"
        app:layout_constraintBottom_toBottomOf="@+id/photo_field"
        app:layout_constraintEnd_toEndOf="@+id/photo_field"
        app:layout_constraintStart_toStartOf="@+id/photo_field"
        app:layout_constraintTop_toTopOf="@+id/photo_field" />

    <View
        android:id="@+id/position_field"
        android:layout_width="220dp"
        android:layout_height="35dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintEnd_toEndOf="@+id/username_field"
        app:layout_constraintTop_toTopOf="@+id/photo_field" />

    <TextView
        android:id="@+id/position"
        android:layout_width="220dp"
        android:layout_height="wrap_content"
        android:text="@string/jobText"
        android:textColor="@color/black"
        android:textSize="13sp"
        android:paddingStart="5dp"
        app:layout_constraintBottom_toBottomOf="@+id/position_field"
        app:layout_constraintStart_toStartOf="@+id/position_field"
        app:layout_constraintTop_toTopOf="@+id/position_field" />

    <View
        android:id="@+id/lastEntry_field"
        android:layout_width="220dp"
        android:layout_height="35dp"
        android:background="@drawable/button_grestroke_whiteback"
        app:layout_constraintBottom_toBottomOf="@+id/photo_field"
        app:layout_constraintEnd_toEndOf="@+id/username_field" />


    <TextView
        android:id="@+id/lastEntry"
        android:layout_width="220dp"
        android:layout_height="wrap_content"
        android:text="@string/lastLoginText"
        android:paddingStart="5dp"
        android:textColor="@color/black"
        android:textSize="13sp"
        app:layout_constraintBottom_toBottomOf="@+id/lastEntry_field"
        app:layout_constraintStart_toStartOf="@+id/lastEntry_field"
        app:layout_constraintTop_toTopOf="@+id/lastEntry_field" />

    <View
        android:id="@+id/line"
        android:layout_width="320dp"
        android:layout_height="10dp"
        android:layout_marginBottom="10dp"
        android:background="@drawable/ic_line"
        app:layout_constraintBottom_toTopOf="@+id/scan"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <View
        android:id="@+id/scan"
        android:layout_width="320dp"
        android:layout_height="80dp"
        android:layout_marginTop="40dp"
        android:background="@drawable/button_beige"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/photo_field" />

    <TextView
        android:id="@+id/text_scan"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="16dp"
        android:text="@string/text_scan"
        android:textColor="@color/black"
        android:textSize="20sp"
        android:textStyle="bold"
        app:layout_constraintStart_toStartOf="@+id/scan"
        app:layout_constraintTop_toTopOf="@+id/scan" />

    <TextView
        android:id="@+id/textView8"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        android:text="@string/text_qr"
        android:textColor="@color/black"
        app:layout_constraintStart_toStartOf="@+id/text_scan"
        app:layout_constraintTop_toBottomOf="@+id/text_scan" />

    <View
        android:id="@+id/scan_icon"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:layout_marginEnd="30dp"
        android:background="@drawable/icon_scan"
        app:layout_constraintBottom_toBottomOf="@+id/scan"
        app:layout_constraintEnd_toEndOf="@+id/scan"
        app:layout_constraintTop_toTopOf="@+id/scan" />

    <TextView
        android:id="@+id/error"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="10dp"
        android:gravity="center"
        android:visibility="gone"
        android:text="@string/error"
        android:textSize="14sp"
        app:layout_constraintBottom_toTopOf="@+id/scan"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


    <LinearLayout
        android:layout_width="320dp"
        android:layout_height="140dp"
        android:layout_marginTop="20dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/scan">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/entrance_data"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/scan" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>